List autopay configurations
curl --request GET \
--url https://api.synctera.com/v1/autopay_configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/autopay_configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/autopay_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autopay_configs": [
{
"config": {
"amount_rule": "CURRENT_BALANCE",
"autopay_type": "SCHEDULED",
"failure_policy": "NO_RETRY",
"payment_method": "ACH",
"timing_rule": "DAILY",
"description_template": "Autopay for account ending in {{.Last4AccountId}}",
"payment_configs": {
"ach": {
"external_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"is_same_day": true,
"sec_code": "WEB"
},
"internal_transfer": {
"source_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
"subtype": "autopay_payment"
}
},
"rule_configs": {
"current_balance": {},
"days_before_due": {
"offset_days": 3
},
"fixed_amount": {
"amount": 10000
},
"minimum_due": {},
"statement_balance": {}
}
},
"creation_time": "2024-01-15T10:30:00Z",
"id": "2d0f7601-ecc6-48b4-b82f-5d64fa84628b",
"last_updated_time": "2024-01-15T10:30:00Z",
"lending_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"status": "ACTIVE",
"tenant": "abcdef_ghijkl",
"business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"person_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Autopay (beta)
List autopay configurations
๐ง Beta This is a Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
List autopay configurations with optional filters.
GET
/
autopay_configs
List autopay configurations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
creation_time:asc, creation_time:desc, last_updated_time:asc, last_updated_time:desc The id of the tenant containing the resource.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Status of the autopay configuration
Available options:
ACTIVE, DISABLED, PAUSED Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?

